OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::Bias< FloatType > Class Template Reference

`#include <juce_Bias.h>`

## Public Member Functions
void | setBias (FloatType newBias) noexcept
FloatType | getBias () const noexcept
void | setRampDurationSeconds (double newDurationSeconds) noexcept
double | getRampDurationSeconds () const noexcept
void | prepare (const ProcessSpec &spec) noexcept
void | reset () noexcept
template<typename SampleType >
SampleType | processSample (SampleType inputSample) const noexcept
template<typename ProcessContext >
void | process (const ProcessContext &context) noexcept

## Detailed Description

template<typename FloatType>
class juce::dsp::Bias< FloatType >

Adds a DC offset (voltage bias) to the audio samples.

This is a useful preprocessor for asymmetric waveshaping when a waveshaper is bookended by a bias on input and a DC-offset removing high pass filter on output.

This is an extremely simple bias implementation that simply adds a value to a signal. More complicated bias behaviours exist in real circuits - for your homework ;).

Definition at line 44 of file juce_Bias.h.

## Member Function Documentation

## ◆ getBias()

template<typename FloatType >

FloatType juce::dsp::Bias< FloatType >::getBias | ( |  | ) | const
| inline noexcept

Returns the DC bias

Returns
  DC bias, which should be in the range [-1, 1]

Definition at line 63 of file juce_Bias.h.

## ◆ getRampDurationSeconds()

template<typename FloatType >

double juce::dsp::Bias< FloatType >::getRampDurationSeconds | ( |  | ) | const
| inline noexcept

Definition at line 75 of file juce_Bias.h.

## ◆ prepare()

template<typename FloatType >

void juce::dsp::Bias< FloatType >::prepare | ( | const ProcessSpec & | spec | ) |
| inline noexcept

Called before processing starts

Definition at line 79 of file juce_Bias.h.

## ◆ process()

template<typename FloatType >
template<typename ProcessContext >

void juce::dsp::Bias< FloatType >::process | ( | const ProcessContext & | context | ) |
| inline noexcept

Processes the input and output buffers supplied in the processing context.

Definition at line 101 of file juce_Bias.h.

## ◆ processSample()

template<typename FloatType >
template<typename SampleType >

SampleType juce::dsp::Bias< FloatType >::processSample | ( | SampleType | inputSample | ) | const
| inline noexcept

Returns the result of processing a single sample.

Definition at line 93 of file juce_Bias.h.

## ◆ reset()

template<typename FloatType >

void juce::dsp::Bias< FloatType >::reset | ( |  | ) |
| inline noexcept

Definition at line 85 of file juce_Bias.h.

## ◆ setBias()

template<typename FloatType >

void juce::dsp::Bias< FloatType >::setBias | ( | FloatType | newBias | ) |
| inline noexcept

Sets the DC bias

Parameters

  newBias | DC offset in range [-1, 1]

Definition at line 53 of file juce_Bias.h.

## ◆ setRampDurationSeconds()

template<typename FloatType >

void juce::dsp::Bias< FloatType >::setRampDurationSeconds | ( | double | newDurationSeconds | ) |
| inline noexcept

Sets the length of the ramp used for smoothing gain changes.

Definition at line 66 of file juce_Bias.h.

The documentation for this class was generated from the following file:

- juce_Bias.h